Name:           perl-CPAN-Mini-Webserver
Version:        0.45
Release:        1%{?dist}
Summary:        Search and browse Mini CPAN
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN-Mini-Webserver/
Source0:        http://www.cpan.org/modules/by-module/CPAN/CPAN-Mini-Webserver-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(App::Cache)
BuildRequires:  perl(Archive::Peek) >= 0.33
BuildRequires:  perl(CGI) >= 3.16
BuildRequires:  perl(CPAN::Mini) >= 0.565
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Type)
BuildRequires:  perl(HTTP::Server::Simple) >= 0.34
BuildRequires:  perl(IO::Capture::Stdout)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::InstalledVersion)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Parse::CPAN::Authors)
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Parse::CPAN::Packages) >= 2.28
BuildRequires:  perl(Parse::CPAN::Whois) >= 0.02
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Perl6::Say)
BuildRequires:  perl(Pod::Simple::HTML)
BuildRequires:  perl(PPI)
BuildRequires:  perl(PPI::HTML)
BuildRequires:  perl(Search::QueryParser)
BuildRequires:  perl(String::CamelCase)
BuildRequires:  perl(Template::Declare) >= 0.29
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Unidecode)
Requires:       perl(App::Cache)
Requires:       perl(Archive::Peek) >= 0.33
Requires:       perl(CGI) >= 3.16
Requires:       perl(CPAN::Mini) >= 0.565
Requires:       perl(File::Type)
Requires:       perl(HTTP::Server::Simple) >= 0.34
Requires:       perl(IO::Capture::Stdout)
Requires:       perl(List::MoreUtils)
Requires:       perl(Module::InstalledVersion)
Requires:       perl(Moose)
Requires:       perl(Parse::CPAN::Authors)
Requires:       perl(Parse::CPAN::Meta)
Requires:       perl(Parse::CPAN::Packages) >= 2.28
Requires:       perl(Parse::CPAN::Whois) >= 0.02
Requires:       perl(Path::Class)
Requires:       perl(Perl6::Say)
Requires:       perl(Pod::Simple::HTML)
Requires:       perl(PPI)
Requires:       perl(PPI::HTML)
Requires:       perl(Search::QueryParser)
Requires:       perl(String::CamelCase)
Requires:       perl(Template::Declare) >= 0.29
Requires:       perl(Test::More)
Requires:       perl(Text::Unidecode)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is the driver that provides a web server that allows you to
search and browse Mini CPAN. First you must install CPAN::Mini and create a
local copy of CPAN using minicpan. Then you may run minicpan_webserver and
search and browse Mini CPAN at http://localhost:2963/.

%prep
%setup -q -n CPAN-Mini-Webserver-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Feb 16 2010 Dave Cross <dave@mag-sol.com> 0.45-1
- Specfile autogenerated by cpanspec 1.78.
